Page MenuHomePhabricator

Convert DNS servers to Buster
Closed, ResolvedPublic

Description

Convert all DNS infra to Buster before moving on with all the other catch-up working leading towards useful results like Anycast AuthDNS and DoTLS...

Details

Related Gerrit Patches:
operations/puppet : productiondnsrecursor: param threads and lce for prod
operations/puppet : productionswitch all prod dns servers to buster
operations/puppet : productionrequire, not after
operations/debs/prometheus-pdns-rec-exporter : masterBump to 0.9, depend on pdns_recursor service
operations/puppet : productionpdns-rec-exporter should depend on pdns-recursor
operations/puppet : productiondns4002: set PXE to buster install

Related Objects

StatusAssignedTask
StalledNone
OpenNone
ResolvedBBlack

Event Timeline

BBlack created this task.Mon, Dec 2, 10:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMon, Dec 2, 10:20 PM

pdns-rec-exporter fixups in: https://gerrit.wikimedia.org/r/#/c/operations/debs/prometheus-pdns-rec-exporter/+/554155/ + https://gerrit.wikimedia.org/r/#/c/operations/debs/prometheus-pdns-rec-exporter/+/554156/
gdnsd rebuilt again using a combo of https://github.com/gdnsd/gdnsd/tree/v3.2.1 + https://github.com/paravoid/gdnsd/tree/experimental + minor debian/systemd hacks, as there is no 3.x debian package outside the WMF yet 📦

Those two package uploads to buster-wikimedia aside, I think everything else should already be good to go. We'll see!

Change 554175 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] dns4002: set PXE to buster install

https://gerrit.wikimedia.org/r/554175

Change 554175 merged by BBlack:
[operations/puppet@production] dns4002: set PXE to buster install

https://gerrit.wikimedia.org/r/554175

Mentioned in SAL (#wikimedia-operations) [2019-12-02T22:44:37Z] <bblack> reimaging dns4002 to buster - T239667

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['dns4002.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201912022244_bblack_121408.log.

Completed auto-reimage of hosts:

['dns4002.wikimedia.org']

and were ALL successful.

Change 554194 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/debs/prometheus-pdns-rec-exporter@master] Bump to 0.9, depend on pdns_recursor service

https://gerrit.wikimedia.org/r/554194

Change 554196 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] pdns-rec-exporter should depend on pdns-recursor

https://gerrit.wikimedia.org/r/554196

Change 554196 merged by BBlack:
[operations/puppet@production] pdns-rec-exporter should depend on pdns-recursor

https://gerrit.wikimedia.org/r/554196

Change 554194 merged by BBlack:
[operations/debs/prometheus-pdns-rec-exporter@master] Bump to 0.9, depend on pdns_recursor service

https://gerrit.wikimedia.org/r/554194

Change 554197 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] require, not after

https://gerrit.wikimedia.org/r/554197

Change 554197 merged by BBlack:
[operations/puppet@production] require, not after

https://gerrit.wikimedia.org/r/554197

Change 554311 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] switch all prod dns servers to buster

https://gerrit.wikimedia.org/r/554311

Change 554311 merged by BBlack:
[operations/puppet@production] switch all prod dns servers to buster

https://gerrit.wikimedia.org/r/554311

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['dns3002.wikimedia.org', 'dns5002.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201912031651_bblack_60163.log.

Completed auto-reimage of hosts:

['dns3002.wikimedia.org', 'dns5002.wikimedia.org']

and were ALL successful.

Mentioned in SAL (#wikimedia-operations) [2019-12-03T19:08:01Z] <bblack> reimagine dns1002 + dns2002 - T239667

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['dns2002.wikimedia.org', 'dns1002.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201912031909_bblack_88737.log.

Completed auto-reimage of hosts:

['dns1002.wikimedia.org', 'dns2002.wikimedia.org']

and were ALL successful.

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['dns5001.wikimedia.org', 'dns3001.wikimedia.org', 'dns4001.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201912041324_bblack_99710.log.

Completed auto-reimage of hosts:

['dns3001.wikimedia.org']

Of which those FAILED:

['dns3001.wikimedia.org']

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['dns1001.wikimedia.org', 'dns2001.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201912041652_bblack_143866.log.

Completed auto-reimage of hosts:

['dns1001.wikimedia.org', 'dns2001.wikimedia.org']

and were ALL successful.

Change 554869 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] dnsrecursor: param threads and lce for prod

https://gerrit.wikimedia.org/r/554869

Change 554869 merged by BBlack:
[operations/puppet@production] dnsrecursor: param threads and lce for prod

https://gerrit.wikimedia.org/r/554869

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:34:32Z] <bblack> ns1.wikimedia.org: re-route authdns traffic from authdns2001 (to be reimaged) -> dns2001 temporarily - T239667

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['authdns2001.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201912051935_bblack_203116.log.

Completed auto-reimage of hosts:

['authdns2001.wikimedia.org']

and were ALL successful.

Script wmf-auto-reimage was launched by bblack on cumin1001.eqiad.wmnet for hosts:

['authdns1001.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201912052044_bblack_216791.log.

Completed auto-reimage of hosts:

['authdns1001.wikimedia.org']

and were ALL successful.

BBlack closed this task as Resolved.Thu, Dec 5, 9:13 PM
(12) authdns[1001,2001].wikimedia.org,dns[1001-1002,2001-2002,3001-3002,4001-4002,5001-5002].wikimedia.org                                         
----- OUTPUT of 'cat /etc/debian_version' -----                                                                                                    
10.2